Subject: Re: Potential bug: truncated diff output

From: David Kastrup <[email-masked]>
Date: Thu, 16 Jan 2014 07:31:34 +0100

Misha Penkov <[email-masked]> writes:

> I have a file in a git repo. It has changed during the last two
> commits. I want to see the changes made in these two commits. The
> following command should work:
>
>     git diff HEAD^^
>
> but that doesn't get me the expected results. Read on for details.

> As I mentioned in the first paragraph, I want to generate a patch that
> includes both commits:
>
>     $git diff HEAD^^ HEAD ieicej.cls

> This looks wrong, since it doesn't include the last commit. For
> example, changes to line 3145 are not there. It appears to include
> changes from the second-last commit (e.g. the stuff around line 1714).
>
> My questions:
>
> 1) What am I doing wrong?

You did not commit all your changes.  Some of them are either only in
your working directory, or in working directory and index.

> 2) How can I get the diff to include all the commits in their
> entirety?

It did.

> 3) Is this a bug?

No.

-- 
David Kastrup